Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 431154 - Review Request: IMDbPY - Retrieve and manage the data of the IMDb movie database
Summary: Review Request: IMDbPY - Retrieve and manage the data of the IMDb movie database
Keywords:
Status: CLOSED DUPLICATE of bug 475141
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-02-01 02:03 UTC by Allisson Azevedo
Modified: 2008-12-08 06:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-16 05:37:52 UTC


Attachments (Terms of Use)

Description Allisson Azevedo 2008-02-01 02:03:43 UTC
Spec URL: http://allisson.fedorapeople.org/packages/IMDbPY/IMDbPY.spec
SRPM URL: http://allisson.fedorapeople.org/packages/IMDbPY/IMDbPY-3.4-1.fc8.src.rpm

Description: IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database.

IMDbPY is mainly a tool intended for programmers and developers, but
some example scripts are included.

Comment 1 Jason Tibbitts 2008-02-02 14:56:42 UTC
Unfortunately due to an "issue" with rpmbuild, you will find that your package
included .pyc and .pyo files in /usr/bin which really should not be there.  Your
options are to %exclude them in %files with something like
  %exclude %{_bindir}/*.py[co]
or to rename the executables you place in /usr/bin to names that don't end in
.py.  The latter may be more reasonable since you don't generally expect
installed executables to end in an extension like .py.

Comment 2 Allisson Azevedo 2008-02-09 17:52:42 UTC
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/python-imdbpy/python-imdbpy.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/python-imdbpy/python-imdbpy-3.4-1.fc8.src.rpm

Changes:

- Package name is python-imdbpy now
- Remove *.py* files in /usr/bin and move for examples directory in docs

Comment 3 Timothy Selivanow 2008-03-25 21:25:43 UTC
I'd say that it would be safe(er) to call it python-imdb (instead of
python-imdbpy), as per http://fedoraproject.org/wiki/Packaging/NamingGuidelines
since it is used as `import imdb`.

No output from rpmlint, Koji builds fine:
http://koji.fedoraproject.org/koji/taskinfo?taskID=530628

I'll compile and install it on my F8 box and test out some python code.  Do you
know if they have a test suite that you could run in %check?

Comment 4 Parag AN(पराग) 2008-07-29 06:06:47 UTC
Allisson,
 any updates on comment #3? 

Comment 5 Soumya Kanti Chakraborty 2008-08-06 19:25:53 UTC
If there in no interest from the submitter now , I can take over the package as I need it to package ENTERTAINER.

Comment 6 Debarshi Ray 2008-10-15 20:14:10 UTC
I think this review is dead.

Comment 7 Parag AN(पराग) 2008-10-16 05:37:52 UTC
OK marking this as a DEADREVIEW.

Comment 8 Sindre Pedersen Bjørdal 2008-12-08 06:51:04 UTC

*** This bug has been marked as a duplicate of bug 475141 ***


Note You need to log in before you can comment on or make changes to this bug.